• Documentation
  • API Reference
Information
Core APIs
    ASPSP Information Service
      Get ASPSP ListgetGet ASPSP DetailsgetGet Country ListgetGet Platform Statusget
    Consent Service
      Create ConsentpostGet ConsentgetDelete ConsentdeleteGet Consent StatusgetGet Consent AuthorisationsgetCreate Consent AuthorisationpostGet Consent Authorisation SCA StatusgetStart Consent Authorisationput
    Account Information Service (AIS)
      Get Account ListgetGet Account DetailsgetGet BalancesgetGet Transaction ListgetGet Transaction DetailsgetGet Card Account ListgetGet Card Account DetailsgetGet Card BalancesgetGet Card Transaction Listget
    Payment Initiation Service (PIS)
      Create PaymentpostGet PaymentgetCancel PaymentdeleteGet Payment StatusgetGet Payment AuthorisationsgetCreate Payment AuthorisationpostGet Payment Authorisation SCA StatusgetStart Payment AuthorisationputGet Payment Cancellation AuthorisationsgetCreate Payment Cancellation AuthorisationpostGet Payment Cancellation Authorisation SCA StatusgetStart Payment Cancellation AuthorisationputCreate Signing BasketpostGet Signing BasketgetDelete Signing BasketdeleteGet Signing Basket StatusgetCreate Signing Basket AuthorisationpostGet Signing Basket Authorisation SCA StatusgetStart Signing Basket AuthorisationputCreate FX QuotepostGet FX Quoteget
    KYC Service
      Create KYCpostGet KYC Statusget
Alternative APIs
    ISO Payments
      Create PaymentpostCreate Payment (Cross-Border)postGet PaymentgetConfirm Paymentput
    FX Connect
      Create FX QuotepostGet FX QuotegetConfirm Cross-Border Paymentput
Premium APIs
    Bankgiro Lookup
      Get Creditor NamegetGet Giro Numbersget
    Payout Service
      Create PayoutpostGet PayoutgetConfirm Payoutput
    Verification of Payee (VoP)
      Submit Verification RequestpostSubmit Bulk Verification Requestpost
    SEPA Direct Debit
      Create SEPA Direct Debit Payment (Beta)postGet PaymentgetConfirm Paymentput
Schemas
Open Payments API
Open Payments API

ASPSP Information Service

Server

The ASPSP (Account Servicing Payment Service Providers) Information Service allows looking up information about banks and other account providers. The service offers the following services:

  • List All ASPSPs in a specific country
  • List all ASPSPs connected to the Open Banking Platform
  • Details about the ASPSP

Get ASPSP List

GET
https://api.openbankingplatform.com
/psd2/aspspinformation/v1/aspsps

Gets all ASPSPs currently supported in the Open Banking Platform.

Get ASPSP List › query Parameters

isoCountryCodes
​string[]

ISO Country Codes for the countries to get ASPSPs for

Comma-separated array of ISO country codes.

Example: SE,UK,FI

Get ASPSP List › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

Get ASPSP List › Responses

OK

List of ASPSPs
aspspList
​aspspListItem[]
GET/psd2/aspspinformation/v1/aspsps
curl https://api.openbankingplatform.com/psd2/aspspinformation/v1/aspsps \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "aspsps": [ { "bicFi": "OPBKSE21", "name": "Demo Bank One (EUR)", "logoUrl": "https://openbankingplatform.blob.core.windows.net/image/OPBKSE21.png" } ] }
json
application/json

Get ASPSP Details

GET
https://api.openbankingplatform.com
/psd2/aspspinformation/v1/aspsps/{bicFi}

Gets details about an ASPSP by BICFI.

Get ASPSP Details › path Parameters

bicFi
​string · pattern: ^[A-Z]{6,6}[A-Z2-9][… · required

The BICFI of the ASPSP

Get ASPSP Details › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

Get ASPSP Details › Responses

OK

ASPSP
aspsp
bicFi
​string · pattern: ^[A-Z]{6,6}[A-Z2-9][…
name
​string · maxLength: 140
logoUrl
​string
city
​string
country
​string
postalCode
​string · maxLength: 20
streetAddress
​string · maxLength: 140
companyNumber
​string
phone
​string
websiteUrl
​string
globalPaymentProducts
​string[]

Payment products supported by the ASPSP.

​supportedAuthorizationMethodItem[]

Authorization methods supported by the ASPSP.

​affiliatedAspspItem[]

Affiliates of the ASPSP.

​accountInformationCapabilities

Capabilities and constraints related to account information access.

​paymentInitiationCapabilities

Capabilities and constraints related to payment initiation.

GET/psd2/aspspinformation/v1/aspsps/{bicFi}
curl https://api.openbankingplatform.com/psd2/aspspinformation/v1/aspsps/:bicFi \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "bicFi": "SWEDSESS", "name": "Swedbank", "logoUrl": "https://opeopenbanking.blob.core.windows.net/images/SWEDSESS.png", "city": "Stockholm", "country": "Sweden", "postalCode": "105 34", "streetAddress": "Landsvägen 40", "companyNumber": "502017-7753", "phone": "+46-8-585 900 00", "websiteUrl": "https://www.swedbank.se", "globalPaymentProducts": [ "domestic", "swedish-giro", "cross-border" ], "supportedAuthorizationMethods": [ { "name": "OAuth2", "uri": "https://auth.openbankingplatform.com/.well-known/openid-configuration" }, { "name": "Decoupled", "uri": "" } ], "affiliatedAspsps": [ { "id": "08191", "name": "Sparbanken Bergslagen AB" }, { "id": "08024", "name": "Bjursås Sparbank" } ], "accountInformation": { "transactionHistoryMaxDays": 88, "extendedTransactionHistoryMaxDays": 760, "extendedTransactionHistoryAvailableWindowMinutes": 60 }, "paymentInitiation": { "signingBasketsSupported": true, "signingBasketLimit": 100 } }
json
application/json

Get Country List

GET
https://api.openbankingplatform.com
/psd2/aspspinformation/v1/countries

Gets all countries currently supported in the Open Banking Platform.

Get Country List › query Parameters

isoCountryCodes
​string[]

ISO Country Codes for the countries to get ASPSPs for

Comma-separated array of ISO country codes.

Example: SE,UK,FI

Get Country List › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

Get Country List › Responses

OK

List of countries
countryList
​country[]
GET/psd2/aspspinformation/v1/countries
curl https://api.openbankingplatform.com/psd2/aspspinformation/v1/countries \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "countries": [ { "isoCountryCode": "SE", "name": "Sweden" } ] }
json
application/json

Get Platform Status

GET
https://api.openbankingplatform.com
/v1/status

Get status of the Open Banking Platform and its supported banks.

Get Platform Status › Headers

X-Request-ID
​string · uuid · required

ID of the request, unique to the call, as determined by the initiating party.

Get Platform Status › Responses

200

OK

The current status of the Open Banking Platform, including incidents and maintenance windows.
obpStatusResponse
pageTitle
​string · required

Title of the status page.

Example: Open Payments Europe
​statusPageIncident[] · required

Incidents currently affecting the platform or its supported banks. Empty if there are none.

​statusPageInProgressMaintenance[] · required

Maintenance windows currently in progress. Empty if there are none.

​statusPageScheduledMaintenance[] · required

Upcoming planned maintenance windows. Empty if there are none.

pageUrl
​string · uri

Public URL of the status page.

GET/v1/status
curl https://api.openbankingplatform.com/v1/status \ --header 'X-Request-ID: 99391c7e-ad88-49ec-a2ad-99ddcb1f7721' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "pageTitle": "Open Payments Europe", "ongoingIncidents": [], "inProgressMaintenances": [], "scheduledMaintenances": [] }
json
application/json

Consent Service